<div class="adding_campaign_page adding_campaign_page__wrap p-20">
	<div class="mb-20">
		<div class="breadcrumbs ">
			<a class="breadcrumbs__item"
				[routerLink]="['../']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span>
			      Список приемных кампаний
			    </span>
			</a>
		</div>
		<div>
			<h2 fxFlex="">Создание приемной кампании</h2>
			<button type="submit" mat-raised-button
				color="primary"
				[disabled]="form.invalid"
				(click)="submit()">Создать
			</button>
		</div>





	</div>

	<mat-card class="art-card">
		<mat-card-content>
			<form [formGroup]="form" >

				<div fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap="16px" fxLayoutGap.lt-md="">

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Наименование приемной кампании</mat-label>
						<input matInput
							formControlName="name"
							required>
					</mat-form-field>

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>UID</mat-label>
						<input matInput formControlName="uid" appNullValue maxlength="36" >
					</mat-form-field>
				</div>

				<div fxLayout="row" fxLayout.lt-lg="column"  fxLayoutGap="16px" fxLayoutGap.lt-lg="">

					<mat-form-field  appearance="fill" fxFlex="" fxFlex.lt-md="100">
						<mat-label>Тип приёмной кампании</mat-label>
						<mat-select formControlName="id_campaign_type" required>
							<mat-option *ngFor="let item of cls.education_types$.data | async" [value]="item.id">
								{{item.name}}
							</mat-option>
						</mat-select>
					</mat-form-field>
					<div fxFlex="" fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap="16px" fxLayoutGap.lt-md="">
						<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Год начала приемной кампании</mat-label>
							<input matInput placeholder="Введите год"
								mask="0000"
								formControlName="year_start"
								required>
						</mat-form-field>

						<mat-form-field  appearance="fill" fxFlex="">
							<mat-label>Год окончания приемной кампании</mat-label>
							<input matInput placeholder="Введите год"
								mask="0000"
								formControlName="year_end"
								required>
						</mat-form-field>
					</div>
				</div>

				<div fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap="16px" fxLayoutGap.lt-md="">
					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Форма обучения</mat-label>
						<mat-select formControlName="education_forms" multiple required>
							<mat-option *ngFor="let item of cls.education_forms$.data | async" [value]="item.id">
								{{item.name}}
							</mat-option>
						</mat-select>
					</mat-form-field>

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Уровни образования</mat-label>
						<mat-select formControlName="education_levels" multiple required>
							<mat-option *ngFor="let item of cls.education_levels$.data | async" [value]="item.id">
								{{item.name}}
							</mat-option>
						</mat-select>
					</mat-form-field>

				</div>

			</form>
		</mat-card-content>


	</mat-card>


</div>
